/// <reference types="react" />
import { AttachmentIcon } from './icons/attachment';
import { EmptyStateInboxVou } from './icons/empty-state-folder-vou';
import { EmptyStateInvites } from './icons/empty-state-invites';
import { EmptyStateResolvedTopics } from './icons/empty-state-resolved-topics';
import { EmptyStateSearch } from './icons/empty-state-search';
import { EmptyStateSurvey } from './icons/empty-state-survey';
import { EmptyStateTopics } from './icons/empty-state-topics';
import { LinkIcon } from './icons/link';
import { NoteIcon } from './icons/note';
export type { IconProps, IIcon } from './icons.type';
export type { IconKeyboardName } from './icons/keyboard';
export type { PriorityLevel, PriorityProps } from './icons/priority';
export type { UrgencyLevel, UrgencyProps } from './icons/urgency';
export declare function Icon(): any;
export declare namespace Icon {
    var AtEditor: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var BulletList: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Window: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var AIModel: typeof import("./icons/ai-model").AIModel;
    var DataEngine: typeof import("./icons/data-engine").DataEngine;
    var SegmentPreviewFailedEmptyState: typeof import("./icons/segment-preview-failed-state").SegmentPreviewFailedEmptyState;
    var SuccessfulSegmentRun: typeof import("./icons/successful-segment-run").SuccessfulSegmentRun;
    var FailedSegmentRun: typeof import("./icons/failed-segment-run").FailedSegmentRun;
    var PopulatingOrPreviewingSegment: typeof import("./icons/populating-or-previewing-segment").PopulatingOrPreviewingSegment;
    var EmptyStateAIModels: typeof import("./icons/empty-state-ai-models").EmptyStateAIModels;
    var Target: typeof import("./icons/target").Target;
    var Metrics: typeof import("./icons/metrics").Metrics;
    var Dashboards: typeof import("./icons/dashboards").Dashboards;
    var Save: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var ImagePicker: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Trash: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Smile: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var NumberedList: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Code: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var BlockQuote: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Strike: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Underline: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Italic: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Bold: typeof import("./icons/bold").Bold;
    var Modal: typeof import("./icons/modal").Modal;
    var Slideout: typeof import("./icons/slideout").Slideout;
    var Tooltip: typeof import("./icons/tooltip").Tooltip;
    var JourneyEdit: typeof import("./icons/journey-edit").JourneyEdit;
    var Journey: typeof import("./icons/journey-edit").JourneyEdit;
    var MilestoneButton: typeof import("./icons/milestone-button").MilestoneButton;
    var ConditionBranchButton: typeof import("./icons/condition-branch-button").ConditionBranchButton;
    var ConditionBranch: typeof import("./icons/condition-branch").ConditionBranch;
    var Diamond: typeof import("./icons/diamond").Diamond;
    var Flag: typeof import("./icons/flag").Flag;
    var Achievement: typeof import("./icons/achievement").Achievement;
    var OnMilestoneComplete: typeof import("./icons/on-milestone-complete").OnMilestoneComplete;
    var EmptyStateAssignments: typeof import("./icons/empty-state-assignments").EmptyStateAssignments;
    var PlayCircle: typeof import("./icons/play-circle").PlayCircle;
    var Warning: typeof import("./icons/warning").Warning;
    var FilterAccountsSegment: typeof import("./icons/filter-accounts-segment").FilterAccountsSegment;
    var AccountSegmentBuilder: typeof import("./icons/account-segment-builder").AccountSegmentBuilder;
    var FilterAccountsSegmentAllUsers: typeof import("./icons/filter-accounts-segment-all-users").FilterAccountsSegmentAllUsers;
    var FilterAccountsSegmentAnyUser: typeof import("./icons/filter-accounts-segment-any-user").FilterAccountsSegmentAnyUser;
    var FilterUsersSegment: typeof import("./icons/filter-users-segment").FilterUsersSegment;
    var FilterUsersSegmentAccounts: typeof import("./icons/filter-users-segment-accounts").FilterUsersSegmentAccounts;
    var FilterAnyCollectionOfUsersInAccount: typeof import("./icons/filter-any-collection-of-users-in-account").FilterAnyCollectionOfUsersInAccount;
    var FilterNeeds: typeof import("./icons/filter-needs").FilterNeeds;
    var FilterRelatedTopics: typeof import("./icons/filter-related-topics").FilterRelatedTopics;
    var FilterRelatedTickets: typeof import("./icons/filter-related-tickets").FilterRelatedTickets;
    var FilterSurveyResponses: typeof import("./icons/filter-survey-responses").FilterSurveyResponses;
    var FilterSurveyResponsesUser: typeof import("./icons/filter-survey-responses-user").FilterSurveyResponsesUser;
    var Vector: typeof import("./icons/vector").Vector;
    var KeySwatch: typeof import("./icons/key-swatch").KeySwatch;
    var Snowflake: typeof import("./icons/snowflake").Snowflake;
    var ZoomInfo: typeof import("./icons/zoom-info").ZoomInfo;
    var StepIcon: typeof import("./icons/step-icon").StepIcon;
    var Guide: typeof import("./icons/guide").Guide;
    var GraphSlider: typeof import("./icons/graph-slider").GraphSlider;
    var CSAT: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Triangle: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Horn: typeof import("./icons/horn").Horn;
    var Survey: ({ inverted, ...props }: import("react").SVGProps<SVGSVGElement> & {
        inverted?: boolean;
    }) => JSX.Element;
    var Radio: typeof import("./icons/radio").Radio;
    var CheckedBox: typeof import("./icons/checked-box").CheckedBox;
    var At: (props: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var Accounts: typeof import("./icons/accounts").Accounts;
    var Arrow: typeof import("./icons/arrow").Arrow;
    var ArrowUp: typeof import("./icons/arrow-up").ArrowUp;
    var Hand: typeof import("./icons/hand").Hand;
    var Article: typeof import("./icons/article").Article;
    var Attachment: typeof AttachmentIcon;
    var Artifact: typeof import("./icons/artifact").Artifact;
    var Bell: typeof import("./icons/bell").Bell;
    var BellRinging: typeof import("./icons/bell-ringing").BellRinging;
    var Calendar: typeof import("./icons/calendar").Calendar;
    var Call: typeof import("./icons/call").Call;
    var CheckMark: typeof import("./icons/check-mark").CheckMark;
    var ChevronDoubleLeft: typeof import("./icons/chevron-double").ChevronDoubleLeft;
    var ChevronDoubleRight: typeof import("./icons/chevron-double").ChevronDoubleRight;
    var ChevronDown: typeof import("./icons/chevron").ChevronDown;
    var ChevronLeft: typeof import("./icons/chevron").ChevronLeft;
    var ChevronRight: typeof import("./icons/chevron").ChevronRight;
    var ChevronNext: import("react").MemoExoticComponent<({ hideArrow, onClick, color, direction, backgroundColor, wrapperSize, ...props }: Omit<import("react").SVGProps<SVGSVGElement>, "onClick"> & Partial<{
        backgroundColor?: string;
        direction?: "bottom" | "left" | "right" | "top";
        hideArrow: boolean;
        onClick: import("react").MouseEventHandler<HTMLDivElement>;
        wrapperSize?: number;
    }>) => JSX.Element>;
    var ChevronCollapse: import("react").MemoExoticComponent<({ isOpen, onClick, wrapperSize, variant, color, ...props }: import("react").SVGProps<SVGSVGElement> & {
        isOpen?: boolean;
        onClick?: VoidFunction;
        variant?: "square" | "default";
        wrapperSize?: number;
    }) => JSX.Element>;
    var ChevronUp: typeof import("./icons/chevron").ChevronUp;
    var CheckMinus: typeof import("./icons/check-minus").CheckMinus;
    var Chrome: typeof import("./icons/chrome").Chrome;
    var Columns: typeof import("./icons/columns").Columns;
    var Custom: typeof import("./icons/custom").Custom;
    var CvuSegment: typeof import("./icons/cvu-segment").CvuSegment;
    var Cision: typeof import("./icons/cision").Cision;
    var Download: typeof import("./icons/download").Download;
    var Edit: typeof import("./icons/edit").Edit;
    var Email: typeof import("./icons/email").Email;
    var Eye: typeof import("./icons/eye").Eye;
    var Folder: typeof import("./icons/folder").Folder;
    var Freshworks: typeof import("./icons/freshworks").Freshworks;
    var Help: typeof import("./icons/help").Help;
    var Helpscout: typeof import("./icons/helpscout").Helpscout;
    var House: typeof import("./icons/house").House;
    var Hubspot: typeof import("./icons/hubspot").Hubspot;
    var EmptyStateGuideSteps: typeof import("./icons/empty-state-guide-steps").EmptyStateGuideSteps;
    var Inbox: typeof import("./icons/inbox").Inbox;
    var Information: typeof import("./icons/information").Information;
    var Intercom: typeof import("./icons/intercom").Intercom;
    var Jira: typeof import("./icons/jira").Jira;
    var LightningBolt: typeof import("./icons/lightning-bolt").LightningBolt;
    var Linear: typeof import("./icons/linear").Linear;
    var List: typeof import("./icons/list").List;
    var Lock: typeof import("./icons/lock").Lock;
    var Logout: typeof import("./icons/logout").Logout;
    var Message: typeof import("./icons/message").Message;
    var Menu: typeof import("./icons/menu").Menu;
    var MicrosoftTeam: typeof import("./icons/microsoft-team").MicrosoftTeam;
    var NoResponse: typeof import("./icons/no-response").NoResponse;
    var Note: typeof NoteIcon;
    var NoteComment: typeof import("./icons/note-comment").NoteComment;
    var ParativeLogo: typeof import("./icons/parative-logo").ParativeLogo;
    var ParativeLogoWithText: typeof import("./icons/parative-logo-with-text").ParativeLogoWithText;
    var ParlorSpiral: typeof import("./icons/parlor-spiral").ParlorSpiral;
    var ParlorSpiralText: typeof import("./icons/parlor-spiral-text").ParlorSpiralText;
    var Pin: typeof import("./icons/pin").Pin;
    var Plus: typeof import("./icons/plus").Plus;
    var Process: typeof import("./icons/process").Process;
    var Profile: typeof import("./icons/profile").Profile;
    var Refresh: typeof import("./icons/refresh").Refresh;
    var Report: typeof import("./icons/report").Report;
    var Resolved: typeof import("./icons/resolved").Resolved;
    var RiskBlocked: typeof import("./icons/risk-blocked").RiskBlocked;
    var RiskFeature: typeof import("./icons/risk-feature").RiskFeature;
    var RiskInactive: typeof import("./icons/risk-inactive").RiskInactive;
    var RiskLowSentiment: typeof import("./icons/risk-low-sentiment").RiskLowSentiment;
    var RiskRenew: typeof import("./icons/risk-renew").RiskRenew;
    var SalesForce: typeof import("./icons/salesforce").SalesForce;
    var Delighted: typeof import("./icons/delighted").Delighted;
    var Search: typeof import("./icons/search").Search;
    var Seen: typeof import("./icons/seen").Seen;
    var SegmentBuilder: typeof import("./icons/segment-builder").SegmentBuilder;
    var Settings: typeof import("./icons/settings").Settings;
    var SelectorArrow: typeof import("./icons/selector-arrow").SelectorArrow;
    var Slack: typeof import("./icons/slack").Slack;
    var Signal: typeof import("./icons/signal").Signal;
    var Segments: typeof import("./icons/segments").Segments;
    var SmileyHappy: typeof import("./icons/smiley-happy").SmileyHappy;
    var SmileySlightlyPositive: typeof import("./icons/smiley-slightly-positive").SmileySlightlyPositive;
    var SmileyNegative: typeof import("./icons/smiley-negative").SmileyNegative;
    var SmileyNeutral: typeof import("./icons/smiley-neutral").SmileyNeutral;
    var SmileySlightlyNegative: typeof import("./icons/smiley-slightly-negative").SmileySlightlyNegative;
    var SpeechBubble: typeof import("./icons/speech-bubble").SpeechBubble;
    var Stalled: typeof import("./icons/stalled").Stalled;
    var Status: typeof import("./icons/status").Status;
    var Step: typeof import("./icons/step").Step;
    var Surveys: typeof import("./icons/surveys").Surveys;
    var Swatch: typeof import("./icons/swatch").Swatch;
    var ThumbDown: typeof import("./icons/thumb-down").ThumbDown;
    var ThumbUp: typeof import("./icons/thumb-up").ThumbUp;
    var Ticket: typeof import("./icons/ticket").Ticket;
    var Opportunity: typeof import("./icons/opportunity").Opportunity;
    var Union: typeof import("./icons/union").Union;
    var Upload: typeof import("./icons/upload").Upload;
    var UpForRenewal: typeof import("./icons/up-for-renewal").UpForRenewal;
    var ImageUpload: typeof import("./icons/image-upload").ImageUpload;
    var RemoveImage: typeof import("./icons/remove-image").RemoveImage;
    var Urgency: typeof import("./icons/urgency").Urgency;
    var User: typeof import("./icons/user").User;
    var UserNeed: typeof import("./icons/user-need").UserNeed;
    var Users: typeof import("./icons/users").Users;
    var VIP: typeof import("./icons/vip").VIP;
    var VipBorder: typeof import("./icons/vip-border").VipBorder;
    var X: typeof import("./icons/x").X;
    var XRounded: typeof import("./icons/x-rounded").XRounded;
    var Zendesk: typeof import("./icons/zendesk").Zendesk;
    var Parlor: typeof import("./icons/parlor").Parlor;
    var Processed: typeof import("./icons/processed").Processed;
    var Tablet: typeof import("./icons/tablet").Tablet;
    var Tag: typeof import("./icons/tag").Tag;
    var DollarSign: typeof import("./icons/dollar-sign").DollarSign;
    var ZoomIn: typeof import("./icons/zoom-in").ZoomIn;
    var Ellipse: typeof import("./icons/ellipse").Ellipse;
    var TransparentProcessed: typeof import("./icons/transparent-processed").TransparentProcessed;
    var Zoho: typeof import("./icons/zoho").Zoho;
    var TriggerMenu: typeof import("./icons/trigger-menu").TriggerMenu;
    var Expand: typeof import("./icons/expand").Expand;
    var Shrink: typeof import("./icons/shrink").Shrink;
    var ChangesMade: typeof import("./icons/changes-made").ChangesMade;
    var MicrosoftDynamics: typeof import("./icons/microsoft-dynamics").MicrosoftDynamics;
    var ChurnZero: typeof import("./icons/churn-zero").ChurnZero;
    var ProductBoard: typeof import("./icons/product-board").ProductBoard;
    var Revio: typeof import("./icons/revio").Revio;
    var PropertyBlock: typeof import("./icons/property-block").PropertyBlock;
    var InMoment: typeof import("./icons/in-moment").InMoment;
    var Alpha: typeof import("./icons/alpha").Alpha;
    var Workspace: typeof import("./icons/workspace").Workspace;
    var Need: typeof import("./icons/need").Need;
    var Nest: import("react").MemoExoticComponent<(props: import("react").SVGProps<SVGSVGElement>) => JSX.Element>;
    var Posts: typeof import("./icons/posts").Posts;
    var Data: typeof import("./icons/data").Data;
    var EmptyInvites: typeof EmptyStateInvites;
    var EmptyResolvedTopics: typeof EmptyStateResolvedTopics;
    var EmptySearch: typeof EmptyStateSearch;
    var EmptyStateNeeds: typeof import("./icons/empty-state-needs").EmptyStateNeeds;
    var EmptyStateThemes: typeof import("./icons/empty-state-themes").EmptyStateThemes;
    var EmptyStateSignalAlert: typeof import("./icons/empty-state-signal-alert").EmptyStateSignalAlert;
    var EmptyStateSignalAlerts: typeof import("./icons/empty-state-signal-alerts").EmptyStateSignalAlerts;
    var EmptyStateFolder: typeof import("./icons/empty-state-folder").EmptyStateFolder;
    var EmptyStateFunnels: typeof import("./icons/empty-state-funnels").EmptyStateFunnels;
    var EmptyStateFunnelStages: typeof import("./icons/empty-state-funnel-stages").EmptyStateFunnelStages;
    var EmptyStateInbox: typeof import("./icons/empty-state-inbox").EmptyStateInbox;
    var EmptyStateIntegrations: typeof import("./icons/empty-state-integrations").EmptyStateIntegrations;
    var EmptyStateVou: typeof EmptyStateInboxVou;
    var EmptyStateTasks: typeof import("./icons/empty-state-tasks").EmptyStateTasks;
    var EmptyStateQueuedAutomations: typeof import("./icons/empty-state-queued-automations").EmptyStateQueuedAutomations;
    var EmptyTopics: typeof EmptyStateTopics;
    var EmptySurvey: typeof EmptyStateSurvey;
    var EmptyPieChart: typeof import("./icons/empty-pie-chart").EmptyPieChart;
    var DarkFrequency: typeof import("./icons/dark-frequency").DarkFrequency;
    var LightFrequency: typeof import("./icons/light-frequency").LightFrequency;
    var CompletionSignal: typeof import("./icons/completion-signal").CompletionSignal;
    var DarkSegmentLock: typeof import("./icons/dark-segment-lock").DarkSegmentLock;
    var LightSegmentLock: typeof import("./icons/light-segment-lock").LightSegmentLock;
    var Ping: typeof import("./icons/ping").Ping;
    var Question: typeof import("./icons/question").Question;
    var Copy: typeof import("./icons/copy").Copy;
    var AccountSegment: typeof import("./icons/account-segment").AccountSegment;
    var UserSegment: typeof import("./icons/user-segment").UserSegment;
    var Click: typeof import("./icons/click").Click;
    var PageView: typeof import("./icons/page-view").PageView;
    var HiThere: typeof import("./icons/hi-there").HiThere;
    var WeGotchu: typeof import("./icons/we-gotchu").WeGotchu;
    var OhNo: typeof import("./icons/oh-no").OhNo;
    var Forgot: typeof import("./icons/forgot").Forgot;
    var GroupHide: typeof import("./icons/group-hide").GroupHide;
    var GroupShow: typeof import("./icons/group-show").GroupShow;
    var GroupError: typeof import("./icons/group-error").GroupError;
    var GroupForgot: typeof import("./icons/group-forgot").GroupForgot;
    var GroupReset: typeof import("./icons/group-reset").GroupReset;
    var ChooseWisely: typeof import("./icons/choose-wisely").ChooseWisely;
    var GroupInvitation: typeof import("./icons/group-invitation").GroupInvitation;
    var Heart: typeof import("./icons/heart").Heart;
    var ImagePuck: typeof import("./icons/image-puck").ImagePuck;
    var SoClose: typeof import("./icons/so-close").SoClose;
    var DynamicScores: typeof import("./icons/dynamic-scores").DynamicScores;
    var CompletionRing: typeof import("./icons/competion-ring").CompletionRing;
    var SmallIllustrationLibrary: ({ ...props }: import("react").SVGProps<SVGSVGElement>) => JSX.Element;
    var SpeechBubbles: typeof import("./icons/speech-bubbles").SpeechBubbles;
    var Cvu: typeof import("./icons/cvu").Cvu;
    var Brackets: typeof import("./icons/brackets").Brackets;
    var TeamActivity: typeof import("./icons/team-activity").TeamActivity;
    var Priority: typeof import("./icons/priority").Priority;
    var Mention: typeof import("./icons/mentions").Mention;
    var Subtract: typeof import("./icons/subtract").Subtract;
    var EmptyStateAccounts: typeof import("./icons/empty-state-accounts").EmptyStateAccounts;
    var EmptyStateAudit: typeof import("./icons/empty-state-audit").EmptyStateAudit;
    var EmptyStateEmails: typeof import("./icons/empty-state-emails").EmptyStateEmails;
    var EmptyStateEventLabel: typeof import("./icons/empty-state-event-labels").EmptyStateEventLabel;
    var EmptyStateCvu: typeof import("./icons/empty-state-cvu").EmptyStateCvu;
    var EmptyProperties: typeof import("./icons/empty-properties").EmptyProperties;
    var EmptyStateTiers: typeof import("./icons/empty-state-tiers").EmptyStateTiers;
    var Score: typeof import("./icons/score").Score;
    var BorderShrink: typeof import("./icons/border-shrink").BorderShrink;
    var BorderExpand: typeof import("./icons/border-expand").BorderExpand;
    var Guides: typeof import("./icons/guides").Guides;
    var Playbooks: typeof import("./icons/playbooks").Playbooks;
    var Outreach: typeof import("./icons/outreach").Outreach;
    var Portal: typeof import("./icons/portal").Portal;
    var PortalDoor: typeof import("./icons/portal-door").PortalDoor;
    var Journeys: typeof import("./icons/journeys").Journeys;
    var ResolvedCheckmarkIcon: typeof import("./icons/resolved-checkmark-icon").ResolvedCheckmarkIcon;
    var Telegram: typeof import("./icons/telegram").Telegram;
    var Apollo: typeof import("./icons/apollo").Apollo;
    var Link: typeof LinkIcon;
    var AirTable: typeof import("./icons/airtable").AirTable;
    var MessageBubble: typeof import("./icons/message-bubble").MessageBubble;
    var CloseExpand: typeof import("./icons/close-expanded").CloseExpand;
    var CloseWithCircle: typeof import("./icons/close-with-circle").CloseWithCircle;
    var Text: typeof import("./icons/text").Text;
    var H1: typeof import("./icons/h1").H1;
    var Image: typeof import("./icons/image").Image;
    var Video: typeof import("./icons/video").Video;
    var Outcome: typeof import("./icons/outcome").Outcome;
    var BoxesStacked: typeof import("./icons/boxes-stacked").BoxesStacked;
    var Sendgrid: typeof import("./icons/sendgrid").Sendgrid;
    var CSV: typeof import("./icons/csv").CSV;
    var OpenSomething: typeof import("./icons/open-something").OpenSomething;
    var Clock: typeof import("./icons/clock").Clock;
    var Gong: typeof import("./icons/gong").Gong;
    var HierarchyTableView: typeof import("./icons/hierarchy-table-view").HierarchyTableView;
    var Funnel: typeof import("./icons/funnel").Funnel;
    var Keyboard: typeof import("./icons/keyboard").Keyboard;
    var OpenSidebar: typeof import("./icons/open-sidebar").OpenSidebar;
    var SocSeal: typeof import("./icons/soc-seal").SocSeal;
}
